CREATE TABLE View (ViewId INTEGER primary key on conflict replace autoincrement not null, ViewName TEXT, FilterId INTEGER, SortingId INTEGER, Grouping TEXT not null, Hierarchy INTEGER not null, IncludeParents INTEGER not null, IncludeChildren INTEGER not null, ProcessBranch INTEGER not null);
CREATE TABLE TaskFilter (FilterId INTEGER primary key on conflict replace autoincrement not null, ParentFilterGroupId INTEGER, FilterCriterion TEXT not null, FilterParams BLOB, isInverse INTEGER not null);
CREATE TABLE TaskSort (SortId INTEGER primary key on conflict replace autoincrement not null, ViewId INTEGER, Collation1 INTEGER, Collation2 INTEGER, Collation3 INTEGER, Collation4 INTEGER, Direction INTEGER not null);
INSERT INTO TaskSort (ViewId, Collation1, Collation2, Collation3, Collation4, Direction) SELECT ViewId, Collation1, Collation2, Collation3, Collation4, Direction FROM ViewSorting;
DROP TABLE ViewSorting;
DELETE FROM sqlite_sequence WHERE name = 'View';
INSERT INTO sqlite_sequence (name, seq) VALUES ('View', 10300);